<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~analysis-cleanup.js" 
	styles="path.css,~../css/reggie-2.css"
>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Secondary analysis cleanup" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Derived and raw bioassays</div>
		<div class="step-content" style="padding: 0.5em;">

			This wizard will look for derived and raw bioassays that has
			been put in the trashcan and delete them including all child items
			and linked files. It checks the following item types:
			
			<ul style="padding: 0.5em 2em;">
			<li>Derived bioassays:
				<ul>
				<li>DemuxedSequences
				<li>MergedSequences
				<li>MaskedSequences
				<li>AlignedSequences
				</ul>
			<li>Raw bioassays:
				<ul>
				<li>Cufflinks
				<li>StringTie
				</ul>
			</ul>
			
			There are currently <b><span id="countDerivedBioAssays"></span></b> such derived bioassays and 
			<b><span id="countRawBioAssays"></span></b> raw bioassays with 
			<b><span id="countDerivedBioAssayChildren"></span></b> child bioassay items.
		</div>
	</div>


	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="goregister" title="Delete" image="<%=home+"/images/gonext.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>